%define majver %(echo %version | cut -d. -f1-2)

Name:          akonadi-calendar-tools
Version:       19.12.2
Release:       1mamba
Summary:       KDE Frameworks 5 Akonadi calendar tools
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/release-service/%{version}/src/akonadi-calendar-tools-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libakonadi-calendar-devel
BuildRequires: libakonadi-devel
BuildRequires: libcalendarsupport-devel
BuildRequires: libgcc
BuildRequires: libkcalendarcore-devel
BuildRequires: libkcalutils-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdepim-devel
BuildRequires: libki18n-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkmime-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Akonadi calendar tools.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/calendarjanitor
%{_bindir}/konsolekalendar
%{_datadir}/applications/konsolekalendar.desktop
%{_datadir}/icons/hicolor/*/apps/konsolekalendar.png
%{_datadir}/qlogging-categories5/console.categories
%{_datadir}/qlogging-categories5/console.renamecategories
%doc COPYING COPYING.DOC COPYING.LIB

%changelog
* Sat Feb 08 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Wed Jan 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 19.12.0-1mamba
- package created using the webbuild interface
